// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIComponent.hpp"

using namespace Dawn;

std::vector<std::shared_ptr<UIComponent>> UIComponent::getChildren() {
  return {};
}

void UIComponent::getQuads(const glm::vec2 parent, UICanvas &ctx) {
  glm::vec2 transform = parent + position;
  this->getSelfQuads(transform, ctx);

  auto children = getChildren();
  for(auto &c : children) {
    c->getQuads(transform, ctx);
  }
}