// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/UIAlign.hpp"
#include "display/shader/UIShader.hpp"
#include "component/ui/UICanvas.hpp"

namespace Dawn {
  class UIComponent {
    protected:
      virtual void getSelfQuads(const glm::vec2 t, UICanvas &ctx) = 0;
      virtual std::vector<std::shared_ptr<UIComponent>> getChildren();
      void getQuads(const glm::vec2 parent, UICanvas &ctx);

    public:
      glm::vec2 position;

      friend class UICanvas;
  };
}