// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/UIComponent.hpp"
#include "display/font/TrueTypeTexture.hpp"

namespace Dawn {
  class UILabel final : public UIComponent {
    private:
      std::shared_ptr<TrueTypeTexture> texture = nullptr;

    protected:
      void getSelfQuads(const glm::vec2 t, UICanvas &ctx) override;

    public:
      void setFont(std::shared_ptr<TrueTypeTexture> texture);
  };
}